/** @component button */
import { ElementRef, OnInit, AfterViewInit, OnChanges, AfterContentInit } from '@angular/core';
export declare class ButtonComponent implements OnInit, AfterViewInit, OnChanges, AfterContentInit {
    private el;
    /** @option Active Sets button to active | false */
    active: boolean;
    /** @option AriaLabel Text to display for blindness accessibility features | '' */
    /** @option AriaLabelledBy ID to reference for blindness accessibility feature | '' */
    /** @option Creates a circle shaped button | false */
    circle: boolean;
    /** @option Optional css class string | '' */
    class: string;
    /** @option Sets optional button color | '' */
    color: string;
    /** @option Sets the attribute disabled to Button | false */
    disabled: boolean;
    /** @option Sets expand css styling to widen the Button | false */
    expand: boolean;
    /** @option Sets href for an anchor tagged button | '' */
    href: string;
    /** @option Activates the loading animation and sets the button to disabled | false */
    loading: boolean;
    /** @option Boolean to remove Button's default style | false */
    removeStyle: boolean;
    /** @option Size value | '36' */
    size: string;
    /** @option Html button type | 'button' */
    type: string;
    element: ElementRef;
    loaderChild: ElementRef;
    width: any;
    alt: any;
    readonly activeOption: true;
    readonly disabledOption: true;
    readonly hrefOption: string;
    readonly typeOption: string;
    readonly className: string;
    initWidth: string;
    constructor(el: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterContentInit(): void;
    ngOnChanges(changes: any): void;
    readonly opacity: number;
    private getColor;
    private getSize;
    private checkButtonSize;
    private setAriaLabel;
    private getAttr;
}
