/** @component modal */
import { OnInit, ViewContainerRef, TemplateRef, EventEmitter } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
import { ModalService } from './modal.service';
export declare type SizeType = 'large' | 'medium' | 'default' | 'small' | 'full' | 'dialog';
export declare class ModalComponent implements OnInit {
    private overlay;
    viewContainerRef: ViewContainerRef;
    private modalService;
    /** @option Determines the visibility and ability to edit the backdrop of the Modal | true */
    backdrop: boolean;
    /** @option To enable/disable clicking on underlay to exit modal | false */
    backdropClickExit: boolean;
    /** @option Optional css class names | '' */
    class: string;
    /** @option Show/hide modal */
    show: boolean;
    /** @option Size of the modal | 'default' */
    sizeType: SizeType;
    /** @option Callback function invoked when user clicks on cross button or esc key */
    whenHide: EventEmitter<{}>;
    modalContentTemplate: TemplateRef<any>;
    private overlayRef;
    private tp;
    constructor(overlay: Overlay, viewContainerRef: ViewContainerRef, modalService: ModalService);
    readonly classes: {
        [x: string]: string | boolean;
        'cui-modal': boolean;
        overlayerFix: boolean;
    };
    ngOnInit(): void;
    showModal: () => void;
    closeModal: () => void;
    private showContent;
    private dismissContent;
}
