/** @component radio */
import { ChangeDetectorRef, ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class RadioComponent implements ControlValueAccessor {
    private cdr;
    constructor(cdr: ChangeDetectorRef);
    readonly wrapperClasses: {
        [x: string]: string | number;
    };
    /** @option Optional CSS class name | '' */
    class: string;
    /** @option Sets the attribute disabled to the Radio | false */
    disabled: boolean;
    /** @option Unique HTML ID used for tying label to HTML input for automated testing */
    htmlId: string;
    /** @option Radio label text | '' */
    label: string;
    /** @option Radio name for group | '' */
    name: string;
    /** @option index of the radio in tab order */
    tabIndex: number;
    /** @option String value that corresponds with Radio button | '' */
    value: any;
    /** @option Set the level of nested radio | 0 */
    nestedLevel: number;
    /** @option Callback function invoked when user clicks the Radio button | null */
    click: EventEmitter<any>;
    radioViewChild: ElementRef;
    checked: boolean;
    onChangeCallback: Function;
    onTouchedCallback: Function;
    onToggle(e: any): void;
    writeValue(value: any): void;
    registerOnTouched(fn: Function): void;
    registerOnChange(fn: Function): void;
}
