/** @component toggle-switch */
import { EventEmitter, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class ToggleSwitchComponent implements ControlValueAccessor {
    private cdr;
    /** @option Optional CSS class name | '' */
    class: string;
    /** @option Sets the attribute disabled to the ToggleSwitch | false */
    disabled: boolean;
    /** @option Unique HTML ID used for tying label to HTML input for automated testing */
    htmlId: string;
    /** @option ToggleSwitch label text | '' */
    label: string;
    /** @option ToggleSwitch name for group | '' */
    name: string;
    /** @option index of the ToggleSwitch in tab order */
    tabIndex: number;
    /** @option String value that corresponds with ToggleSwitch button | '' */
    value: any;
    /** @option Callback function invoked when user clicks the ToggleSwitch button | null */
    change: EventEmitter<any>;
    checked: boolean;
    onSwitchChange: Function;
    onSwitchTouch: Function;
    constructor(cdr: ChangeDetectorRef);
    writeValue(checked: any): void;
    registerOnChange(fn: Function): void;
    registerOnTouched(fn: Function): void;
    onSwitch(event: Event): void;
    updateSwitch(event: Event, bool: boolean): void;
}
